import Session from '../Services/Identity/Session';
import { CreateSpeedFactor, CreateSpeedFactorResponse, DeleteSpeedFactorResponse, ListSpeedFactorResponse, UpdateSpeedFactor, UpdateSpeedFactorResponse, UpdateSpeedFactorSeries } from './Service/SpeedFactor.service';
export default class SpeedFactor {
    private speedFactorService;
    constructor(session: Session);
    create(configuration: CreateSpeedFactor): Promise<CreateSpeedFactorResponse>;
    list(serviceAreaId: number): Promise<ListSpeedFactorResponse>;
    update(payload: UpdateSpeedFactor): Promise<UpdateSpeedFactorResponse>;
    updateSeries(payload: UpdateSpeedFactorSeries): Promise<UpdateSpeedFactorResponse>;
    delete(dbId: string): Promise<DeleteSpeedFactorResponse>;
    deleteSeries(originalUuid: string): Promise<DeleteSpeedFactorResponse>;
}
